﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ScrollingTwoGridAtSameTime
{
    public class ViewModel : INotifyPropertyChanged
    {
        public EmployeeInfoRespository repository;
        private int Count = 200;
        public ViewModel()
        {
            repository = new EmployeeInfoRespository();
            source = repository.GetEmployeesDetails_DataTable(Count);
        }
        private DataTable source;

        public DataTable Source
        {
            get
            {
                return source;
            }
            set
            {
                source = value;
                RaisePropertyChanged("Source");
            }
        }

        private DataTable employeeDetails;

        public DataTable EmployeeDetails
        {
            get
            {
                return employeeDetails;
            }
            set
            {
                employeeDetails = value;
                RaisePropertyChanged("EmployeeDetails");
            }
        }


        string dateString = "5/1/1991 8:30:52 AM";
        public void RaisePropertyChanged(string propName)
        {
            if (this.PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(propName));
        }
        public event PropertyChangedEventHandler PropertyChanged;
    }
}
